Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/BestSchedulingSolutionAnalyzer.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public sealed class BestSchedulingSolutionAnalyzer : SchedulingAnalyzer, IStochasticOperator {
     [StorableConstructor]
-    private BestSchedulingSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    private BestSchedulingSolutionAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private BestSchedulingSolutionAnalyzer(BestSchedulingSolutionAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/SchedulingAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/SchedulingAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Analyzers/SchedulingAnalyzer.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected SchedulingAnalyzer(bool deserializing) : base(deserializing) { }
+    protected SchedulingAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SchedulingAnalyzer(SchedulingAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected JSMDecoder(bool deserializing) : base(deserializing) { }
+    protected JSMDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected JSMDecoder(JSMDecoder original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private JSMDecodingErrorPolicy(bool deserializing) : base(deserializing) { }
+    private JSMDecodingErrorPolicy(StorableConstructorFlag deserializing) : base(deserializing) { }
     private JSMDecodingErrorPolicy(JSMDecodingErrorPolicy original, Cloner cloner) : base(original, cloner) { }
     public JSMDecodingErrorPolicy() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    private JSMForcingStrategy(bool deserializing) : base(deserializing) { }
+    private JSMForcingStrategy(StorableConstructorFlag deserializing) : base(deserializing) { }
     private JSMForcingStrategy(JSMForcingStrategy original, Cloner cloner) : base(original, cloner) { }
     public JSMForcingStrategy() { }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 15018)
@@ -169,5 +169,5 @@
 
     [StorableConstructor]
-    protected PRVDecoder(bool deserializing) : base(deserializing) { }
+    protected PRVDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PRVDecoder(PRVDecoder original, Cloner cloner) : base(original, cloner) { }
     public PRVDecoder()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected PWRDecoder(bool deserializing) : base(deserializing) { }
+    protected PWRDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected PWRDecoder(PWRDecoder original, Cloner cloner) : base(original, cloner) { }
     public PWRDecoder()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected ScheduleDecoder(bool deserializing) : base(deserializing) { }
+    protected ScheduleDecoder(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScheduleDecoder(ScheduleDecoder original, Cloner cloner) : base(original, cloner) { }
     public ScheduleDecoder()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MakespanEvaluator.cs	(revision 15018)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected MakespanEvaluator(bool deserializing) : base(deserializing) { }
+    protected MakespanEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MakespanEvaluator(MakespanEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MakespanEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/MeanTardinessEvaluator.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected MeanTardinessEvaluator(bool deserializing) : base(deserializing) { }
+    protected MeanTardinessEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected MeanTardinessEvaluator(MeanTardinessEvaluator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/ScheduleEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/ScheduleEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/ScheduleEvaluator.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected ScheduleEvaluator(bool deserializing) : base(deserializing) { }
+    protected ScheduleEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ScheduleEvaluator(ScheduleEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected ScheduleEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/Evaluators/SchedulingEvaluator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected SchedulingEvaluator(bool deserializing) : base(deserializing) { }
+    protected SchedulingEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SchedulingEvaluator(SchedulingEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SchedulingEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 15018)
@@ -130,5 +130,5 @@
 
     [StorableConstructor]
-    private JobShopSchedulingProblem(bool deserializing) : base(deserializing) { }
+    private JobShopSchedulingProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     private JobShopSchedulingProblem(JobShopSchedulingProblem original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public abstract class SchedulingProblem : SingleObjectiveHeuristicOptimizationProblem<ISchedulingEvaluator, IScheduleCreator> {
     [StorableConstructor]
-    protected SchedulingProblem(bool deserializing) : base(deserializing) { }
+    protected SchedulingProblem(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SchedulingProblem(SchedulingProblem original, Cloner cloner) : base(original, cloner) { }
     protected SchedulingProblem(ISchedulingEvaluator evaluator, IScheduleCreator creator) : base(evaluator, creator) { }
